Package org.eclipse.microprofile.rest.client.tck.providers

# Class TestClientResponseFilter

java.lang.Object
org.eclipse.microprofile.rest.client.tck.providers.TestClientResponseFilter

All Implemented Interfaces:
  `jakarta.ws.rs.client.ClientResponseFilter`

public class TestClientResponseFilter extends Object implements jakarta.ws.rs.client.ClientResponseFilter

## Constructor Summary

Constructors
Constructor
Description
`TestClientResponseFilter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`filter(jakarta.ws.rs.client.ClientRequestContext clientRequestContext, jakarta.ws.rs.client.ClientResponseContext clientResponseContext)`
`static int`
`getAndResetValue()`
`static int`
`getValue()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TestClientResponseFilter

public TestClientResponseFilter()

## Method Details

### filter

public void filter(jakarta.ws.rs.client.ClientRequestContext clientRequestContext, jakarta.ws.rs.client.ClientResponseContext clientResponseContext) throws IOException

Specified by:
  `filter` in interface `jakarta.ws.rs.client.ClientResponseFilter`
Throws:
  `IOException`

### getValue

public static int getValue()

### getAndResetValue

public static int getAndResetValue()